Subject: bug#29974: Emacs-25.3 does not render correctly when itrans input method is enabled

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jan 2018 18:06:01 +0200

> From: Aviral Goel <[email-masked]>
> Date: Wed, 3 Jan 2018 22:16:29 -0500
> 
> On pressing  hve  in devanagari-itrans input method the following should be rendered - ह्वे
> But Emacs-25.3 (built from source) does not render this correctly. It splits the ` mark and places at the end of
> line. 
> Similar behavior is observed on pressing d which should render द् but it does not.

I cannot reproduce this.  I'm not on Ubuntu, so this probably means
your m17n libraries are either outdated, or they have a bug.

> I have attached an image to show the problem. This however works fine on Emacs 24 (installed via package
> manager - apt)

Maybe Emacs 24 was built against different versions of the libraries
that participate in shaping complex scripts?